SF_StanceBar_Locked = true;
local Semicombat;

	function SemiStanceBar_OnLoad(self)

		SemiStanceBar_HideStanceArt();

		self:RegisterEvent("PLAYER_ENTERING_WORLD");
		self:RegisterEvent("ADDON_LOADED");
		self:RegisterEvent("UPDATE_SHAPESHIFT_COOLDOWNS");
		self:RegisterEvent("PLAYER_REGEN_ENABLED");
		self:RegisterEvent("PLAYER_REGEN_DISABLED");

	end

	function SemiStanceBar_OnEvent(self, event, ...)
		if ( event == "PLAYER_ENTERING_WORLD" or event=="ADDON_LOADED" ) then
			Semicombat = false;
			if ( SF_StanceBar_Locked ) then
				SemiStanceBar_LockBars();
			else 
				SemiStanceBar_UnLockBars();
			end

		end
		if ( event == "PLAYER_REGEN_DISABLED" ) then
			Semicombat = true;
		end
		if ( event == "PLAYER_REGEN_ENABLED" ) then
			Semicombat = false;
			SemiStanceBar_HideStanceArt();
			Semi_Link_Stance_BarToDragButton();
		end
		if ( event == "UPDATE_SHAPESHIFT_COOLDOWNS" ) then
			SemiStanceBar_HideStanceArt();
			Semi_Link_Stance_BarToDragButton();
		end
	end

	function SemiStanceBar_HideStanceArt()
		StanceBarLeft:SetAlpha(0);
		StanceBarMiddle:SetAlpha(0);
		StanceBarRight:SetAlpha(0);
		SlidingActionBarTexture0:SetAlpha(0);
		SlidingActionBarTexture1:SetAlpha(0);
	end

	function Semi_Link_Stance_BarToDragButton()
			UIPARENT_MANAGED_FRAME_POSITIONS["StanceBarFrame"] = nil;
			UIPARENT_MANAGED_FRAME_POSITIONS["StanceButton1"] = nil; --not sure if i need to do this, but gonna test it 
			StanceBarFrame:ClearAllPoints();
			StanceBarFrame:SetPoint("BOTTOMLEFT", SemiStanceBarDragButton, "TOPRIGHT");
			StanceButton1:ClearAllPoints();
			StanceButton1:SetPoint("LEFT", StanceBarFrame, "LEFT");
			
	end


	function SemiStanceBar_LockBars()
		SemiStanceBarDragButton:SetAlpha(0);
		SemiStanceBarDragButton:EnableMouse("false");
		SF_StanceBar_Locked = true;
	end

	function SemiStanceBar_UnLockBars()
		SemiStanceBarDragButton:SetAlpha(1);
		SemiStanceBarDragButton:EnableMouse("true");
		SF_StanceBar_Locked = false;
	end
	